org.eclipse.emf.cdo.security.impl

## Class UserImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
        - - org.eclipse.emf.internal.cdo.CDOObjectImpl
          - - org.eclipse.emf.cdo.etypes.impl.ModelElementImpl
            - - org.eclipse.emf.cdo.security.impl.SecurityElementImpl
              - - org.eclipse.emf.cdo.security.impl.SecurityItemImpl
                - - org.eclipse.emf.cdo.security.impl.AssigneeImpl
                  - - org.eclipse.emf.cdo.security.impl.UserImpl

- All Implemented Interfaces:
    CDOObject, CDOWithID, CDOPackageTypeRegistry.CDOObjectMarker, ModelElement, Assignee, SecurityElement, SecurityItem, User, Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, InternalCDOLoadable, InternalCDOObject

      public class UserImpl
      extends AssigneeImpl
      implements User

  An implementation of the model object 'User'.

  The following features are implemented:

  - `Groups`
  - `Label`
  - `First Name`
  - `Last Name`
  - `Email`
  - `Default Access Override`
  - `Default Access`
  - `Locked`
  - `Password`
  - `All Groups`
  - `All Roles`
  - `All Permissions`
  - `Unassigned Roles`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.cdo.security.User

      `ADMINISTRATOR`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `UserImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EClass` | `eStaticClass()`
    `EList<Group>` | `getAllGroups()`
    `EList<Permission>` | `getAllPermissions()`
    `EList<Role>` | `getAllRoles()`
    `Access` | `getDefaultAccess()`
    `Access` | `getDefaultAccessOverride()`
    `String` | `getEmail()`
    `String` | `getFirstName()`
    `EList<Group>` | `getGroups()`
    `String` | `getLabel()`
    `String` | `getLastName()`
    `UserPassword` | `getPassword()`
    `EList<Role>` | `getUnassignedRoles()`
    `boolean` | `isLocked()`
    `void` | `setDefaultAccessOverride(Access newDefaultAccessOverride)`
    `void` | `setEmail(String newEmail)`
    `void` | `setFirstName(String newFirstName)`
    `void` | `setLastName(String newLastName)`
    `void` | `setLocked(boolean newLocked)`
    `void` | `setPassword(UserPassword newPassword)`

    - ### Methods inherited from class org.eclipse.emf.cdo.security.impl.AssigneeImpl

      `getId, getRoles, setId`

    - ### Methods inherited from class org.eclipse.emf.cdo.security.impl.SecurityElementImpl

      `getRealm`

    - ### Methods inherited from class org.eclipse.emf.cdo.etypes.impl.ModelElementImpl

      `eStaticFeatureCount, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

      `cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

      `eBasicContainerFeatureID, eBasicInternalContainer, eBasicSetAdapterArray, eDerivedStructuralFeatureID`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eGet, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.Assignee

      `getId, getRoles, setId`

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.SecurityElement

      `getRealm`

    - ### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSet, eSetProxyURI, eSetStore, eSetting, eUnset, eURIFragmentSegment`

- - ### Constructor Detail

    - #### UserImpl

          protected UserImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `AssigneeImpl`
      Generated

    - #### getGroups

          public EList<Group> getGroups()

      Specified by:
        `getGroups` in interface `User`
      Returns:
        the value of the 'Groups' reference list.
      See Also:
        `SecurityPackage.getUser_Groups()`, `Group.getUsers()`
      Generated

    - #### getAllGroups

          public EList<Group> getAllGroups()

      Specified by:
        `getAllGroups` in interface `User`
      Returns:
        the value of the 'All Groups' reference list.
      See Also:
        `SecurityPackage.getUser_AllGroups()`
      Generated
        NOT

    - #### getAllRoles

          public EList<Role> getAllRoles()

      Specified by:
        `getAllRoles` in interface `User`
      Returns:
        the value of the 'All Roles' reference list.
      See Also:
        `SecurityPackage.getUser_AllRoles()`
      Generated
        NOT

    - #### getAllPermissions

          public EList<Permission> getAllPermissions()

      Specified by:
        `getAllPermissions` in interface `User`
      Returns:
        the value of the 'All Permissions' reference list.
      See Also:
        `SecurityPackage.getUser_AllPermissions()`
      Generated
        NOT

    - #### getUnassignedRoles

          public EList<Role> getUnassignedRoles()

      Specified by:
        `getUnassignedRoles` in interface `User`
      Returns:
        the value of the 'Unassigned Roles' reference list.
      See Also:
        `SecurityPackage.getUser_UnassignedRoles()`
      Generated
        NOT

    - #### getLabel

          public String getLabel()

      Specified by:
        `getLabel` in interface `User`
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `SecurityPackage.getUser_Label()`
      Generated

    - #### getFirstName

          public String getFirstName()

      Specified by:
        `getFirstName` in interface `User`
      Returns:
        the value of the 'First Name' attribute.
      See Also:
        `User.setFirstName(String)`, `SecurityPackage.getUser_FirstName()`
      Generated

    - #### setFirstName

          public void setFirstName(String newFirstName)

      Specified by:
        `setFirstName` in interface `User`
      Parameters:
        `newFirstName` - the new value of the 'First Name' attribute.
      See Also:
        `User.getFirstName()`
      Generated

    - #### getLastName

          public String getLastName()

      Specified by:
        `getLastName` in interface `User`
      Returns:
        the value of the 'Last Name' attribute.
      See Also:
        `User.setLastName(String)`, `SecurityPackage.getUser_LastName()`
      Generated

    - #### setLastName

          public void setLastName(String newLastName)

      Specified by:
        `setLastName` in interface `User`
      Parameters:
        `newLastName` - the new value of the 'Last Name' attribute.
      See Also:
        `User.getLastName()`
      Generated

    - #### getEmail

          public String getEmail()

      Specified by:
        `getEmail` in interface `User`
      Returns:
        the value of the 'Email' attribute.
      See Also:
        `User.setEmail(String)`, `SecurityPackage.getUser_Email()`
      Generated

    - #### setEmail

          public void setEmail(String newEmail)

      Specified by:
        `setEmail` in interface `User`
      Parameters:
        `newEmail` - the new value of the 'Email' attribute.
      See Also:
        `User.getEmail()`
      Generated

    - #### getDefaultAccessOverride

          public Access getDefaultAccessOverride()

      Specified by:
        `getDefaultAccessOverride` in interface `User`
      Returns:
        the value of the 'Default Access Override' attribute.
      See Also:
        `User.setDefaultAccessOverride(Access)`, `SecurityPackage.getUser_DefaultAccessOverride()`
      Generated

    - #### setDefaultAccessOverride

          public void setDefaultAccessOverride(Access newDefaultAccessOverride)

      Specified by:
        `setDefaultAccessOverride` in interface `User`
      Parameters:
        `newDefaultAccessOverride` - the new value of the 'Default Access Override' attribute.
      See Also:
        `User.getDefaultAccessOverride()`
      Generated

    - #### getDefaultAccess

          public Access getDefaultAccess()

      Specified by:
        `getDefaultAccess` in interface `User`
      Returns:
        the value of the 'Default Access' attribute.
      See Also:
        `SecurityPackage.getUser_DefaultAccess()`
      Generated
        NOT

    - #### isLocked

          public boolean isLocked()

      Specified by:
        `isLocked` in interface `User`
      Returns:
        the value of the 'Locked' attribute.
      See Also:
        `User.setLocked(boolean)`, `SecurityPackage.getUser_Locked()`
      Generated

    - #### setLocked

          public void setLocked(boolean newLocked)

      Specified by:
        `setLocked` in interface `User`
      Parameters:
        `newLocked` - the new value of the 'Locked' attribute.
      See Also:
        `User.isLocked()`
      Generated

    - #### getPassword

          public UserPassword getPassword()

      Specified by:
        `getPassword` in interface `User`
      Returns:
        the value of the 'Password' containment reference.
      See Also:
        `User.setPassword(UserPassword)`, `SecurityPackage.getUser_Password()`
      Generated

    - #### setPassword

          public void setPassword(UserPassword newPassword)

      Specified by:
        `setPassword` in interface `User`
      Parameters:
        `newPassword` - the new value of the 'Password' containment reference.
      See Also:
        `User.getPassword()`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html